Skip to main content
POST
/
v1
/
sandboxes
/
{id}
/
snapshots
Create a reusable snapshot
import requests

url = "https://api.13-215-85-171.sslip.io/v1/sandboxes/{id}/snapshots"

headers = {
    "Idempotency-Key": "<idempotency-key>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
{ "id": "<string>", "sandbox_id": "<string>", "size_bytes": 123, "created_at": "2023-11-07T05:31:56Z", "metadata": {} }

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Headers

Idempotency-Key
string
required

Reuse the same key to safely retry the same create, reusable snapshot create, fork, upload create/complete, or agent deployment create operation without duplicating work.

Path Parameters

id
string
required

Sandbox ID (e.g. sb_a1b2c3d4)

Response

Reusable snapshot created

id
string
required
sandbox_id
string
required
size_bytes
integer<uint64>
required
created_at
string<date-time>
required
metadata
object

User metadata attached to reusable snapshots. Legacy pause snapshots may omit this field.